if not exists(select 1 from syscolumns where id = object_id('EST_PROD_CD_BARRA') and name = 'FLAG_PRE_VENCIDOS')
begin 
ALTER TABLE dbo.EST_PROD_CD_BARRA ADD
	FLAG_PRE_VENCIDOS int NULL

ALTER TABLE dbo.EST_PROD_CD_BARRA ADD CONSTRAINT
	DF_EST_PROD_CD_BARRA_FLAG_PRE_VENCIDOS DEFAULT 0 FOR FLAG_PRE_VENCIDOS
end